Get Pending Invoice
POST /api/v1/billing/invoices/get_pending_invoiceCURL Example:
Section titled “CURL Example:”curl https://api.warpstream.com/api/v1/billing/invoices/get_pending_invoice \ -H 'warpstream-api-key: XXXXXXXXXX' \ -H 'Content-Type: application/json'Response Body (JSON):
Section titled “Response Body (JSON):”{ "date_from": "YYYY-MM-DD", "date_to": "YYYY-MM-DD", "tenants": [ { "tenant_id": "ti_xxx", "workspaces": [ { "workspace_id": "wi_xxx", "workspace_name": "xxx", "clusters": [ { "virtual_cluster_id": "vci_xxx", "cluster_name": "vcn_xxx", "cluster_regions": [ "ap-south-1" ], "charges": [ { "product": "Cluster minutes", "unit_price": 0.23148, "quantity": 2340, "total": 5.42 } ], "total": 5.42 }, { "virtual_cluster_id": "vci_xxx", "cluster_name": "vcn_xxx", "cluster_regions": [ "us-east-1" ], "charges": [ { "product": "Cluster minutes", "unit_price": 0.23148, "quantity": 2340, "total": 5.42 }, { "product": "Uncompressed GiB written", "unit_price": 1, "quantity": 110.25601800903678, "total": 1.1 }, { "product": "GiB minutes", "unit_price": 0.00000463, "quantity": 1343.727466603741, "total": 0 } ], "total": 6.52 } ], "total": 11.94 } ], "total": 11.94 }, { "tenant_id": "ti_xxx", "workspaces": [ { "workspace_id": "wi_xxx", "workspace_name": "xxx", "clusters": [ { "virtual_cluster_id": "vci_xxx", "cluster_name": "vcn_xxx", "cluster_regions": [ "us-east-2" ], "charges": [ { "product": "Cluster minutes", "unit_price": 0.23148, "quantity": 4680, "total": 10.83 }, { "product": "GiB minutes", "unit_price": 0.00000463, "quantity": 1.094845407642424, "total": 0 } ], "total": 10.83 } ], "total": 10.83 } ], "total": 10.83 } ], "account_charges": [ // Negative charges for commit credits and free credits will appear here, aggregated by "product" // Support charges will also appear here ], "total": 22.77}